# Backup

Backup allows you to export a JSON list of all of your installed repositories and cogs, then reimport them and automatically reinstall/reload the cogs.

## Installation

```bash
[p]repo add seacogs https://www.coastalcommits.com/SeaswimmerTheFsh/SeaCogs
[p]cog install seacogs backup
[p]cog load backup
```

## Commands

### backup export

- Usage: `[p]backup export`

Exports a JSON list of all of your added repositories, and their installed cogs.

### backup import

- Usage: `[p]backup import`

Reinstalls repositories and cogs from a valid export. Requires the JSON export to be attached to the invoking message as an attachment. Ignores itself and PyLav cogs, due to possible conflicts with Docker images.
